Bug 1117834 - Renaming host orphans lookup_values
Summary: Renaming host orphans lookup_values
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Dominic Cleal
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 13:28 UTC by Bryan Kearney
Modified: 2016-04-22 15:45 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 12:27:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 6358 None None None 2016-04-22 15:45 UTC

Description Bryan Kearney 2014-07-09 13:28:16 UTC
Using Foreman 1.5.0 I renamed the host 'myproxy.DOMAIN' to 'globus-id.DOMAIN' which was successful.  However the class parameters that were overridden no longer are associated to that host.  An attempt to name the host back to its original name fails.

<pre>
ActiveRecord::RecordInvalid
Validation failed: Match fqdn=myproxy.DOMAIN does not match an existing host
app/models/concerns/host_common.rb:46:in `block in lookup_values_attributes='
app/models/concerns/host_common.rb:39:in `each_value'
app/models/concerns/host_common.rb:39:in `lookup_values_attributes='
app/controllers/hosts_controller.rb:117:in `block in update'
app/models/taxonomy.rb:41:in `block in no_taxonomy_scope'
app/models/taxonomy.rb:48:in `block (2 levels) in as_taxonomy'
app/models/concerns/foreman/thread_session.rb:143:in `as_location'
app/models/taxonomy.rb:47:in `block in as_taxonomy'
app/models/concerns/foreman/thread_session.rb:108:in `as_org'
app/models/taxonomy.rb:46:in `as_taxonomy'
app/models/taxonomy.rb:40:in `no_taxonomy_scope'
app/controllers/hosts_controller.rb:109:in `update'
app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'
lib/middleware/catch_json_parse_errors.rb:9:in `call'
</pre>

Comment 1 Bryan Kearney 2014-07-09 13:28:17 UTC
Created from redmine issue http://projects.theforeman.org/issues/6358

Comment 3 Bryan Kearney 2014-07-09 13:47:41 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6358 has been closed
-------------
Dominic Cleal
https://github.com/theforeman/foreman/pull/1544
-------------
Trey Dockendorf
Applied in changeset commit:89730c3c8e21eb6c05770728ba425e817a03f3e0.

Comment 5 Bryan Kearney 2014-07-14 20:04:12 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6358 has been closed
-------------
Dominic Cleal
https://github.com/theforeman/foreman/pull/1544
-------------
Trey Dockendorf
Applied in changeset commit:89730c3c8e21eb6c05770728ba425e817a03f3e0.

Comment 9 Bryan Kearney 2014-09-11 12:27:13 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.